%define module  Sub-Exporter
%define	name	perl-%{module}
%define version 0.982
%define release %mkrel 2

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary: 	A sophisticated exporter for custom-built routines
License: 	GPL or Artistic
Group: 		Development/Perl
Url:        http://search.cpan.org/dist/%{module}
Source:     http://www.cpan.org/modules/by-module/Sub/%{module}-%{version}.tar.gz
BuildRequires:  perl(Data::OptList)
BuildArch:      noarch
BuildRoot: 	    %{_tmppath}/%{name}-%{version}

%description 
This module allows to (re)name a sub.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
%{__rm} -rf %{buildroot}
%{makeinstall_std}

%check
%{__make} test

%clean 
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Sub
%{_mandir}/*/*



%changelog
* Mon Sep 14 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.982-2mdv2010.0
+ Revision: 440657
- rebuild

* Sat Jan 17 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.982-1mdv2009.1
+ Revision: 330403
- update to new version 0.982

* Fri Oct 24 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.981-1mdv2009.1
+ Revision: 296906
- update to new version 0.981

* Sat Oct 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.980-1mdv2009.1
+ Revision: 292343
- update to new version 0.980

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.979-2mdv2009.0
+ Revision: 268727
- rebuild early 2009.0 package (before pixel changes)

* Tue May 06 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.979-1mdv2009.0
+ Revision: 201869
- update to new version 0.979

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Nov 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.978-1mdv2008.1
+ Revision: 111151
- update to new version 0.978

* Sat Sep 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.976-1mdv2008.0
+ Revision: 77698
- update to new version 0.976

* Thu Aug 30 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.975-1mdv2008.0
+ Revision: 75183
- import perl-Sub-Exporter


* Wed Aug 29 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.975-1mdv2008.0
- first mdv release
